<?php
/*********************************************************************************************
+ Lock User v0.2 : A Plugin for MyBB 1.4 and 1.6
+ Free to Use
+ Free to Edit
+ But Not Allowed to distribute
**********************************************************************************************
*/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

function lock_user_info()
{
	return array(
		"name"			=> "Lock User",		"description"	=> "Allows you to enter User IDs to Lock them from Entering website.",		"website"		=> "http://mybb.com",		"author"		=> "Yaldaram",		"authorsite"	=> "http://mybb.com",		"version"		=> "0.2",		"compatibility" => "14*,16*"
	);

}
function lock_user_activate()
{
	global $db, $mybb;

	$lock_user_group = array(
		"gid"			=> "NULL",		"name"			=> "lock_user",		"title" 		=> "Lock User",		"description"	=> "Settings for the plugin.",		"disporder"		=> "1",		"isdefault"		=> "no",	);
	$db->insert_query("settinggroups", $lock_user_group);
	$gid = $db->insert_id();
	
	$lock_user_setting_1 = array(
		"sid"			=> "NULL",		"name"			=> "lock_user_power",		"title"			=> "Power",		"description"	=> "Do you allow this plugin to Lock Users ?",		"optionscode"	=> "yesno",		"value"			=> "no",		"disporder"		=> "1",		"gid"			=> intval($gid),	);

	$db->insert_query("settings", $lock_user_setting_1);

	$lock_user_setting_2 = array(
		"sid"			=> "NULL",		"name"			=> "lock_user_uid",		"title"			=> "Locked User IDs",		"description"	=> "Specify User IDs to be Locked. Separate each with ,",		"optionscode"	=> "textarea",		"value"			=> "3,4",		"disporder"		=> "2",		"gid"			=> intval($gid),	);

	$db->insert_query("settings", $lock_user_setting_2);

    rebuild_settings();
}

function lock_user_deactivate()
{
	global $db, $mybb;

	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='lock_user'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='lock_user_power'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='lock_user_uid'");

    rebuild_settings();
}

$plugins->add_hook("global_end", "lock_user");
function lock_user()
{
	global $mybb;
	$power = $mybb->settings['lock_user_power'];
	$you = $mybb->user['uid'];
	$they = explode(",",$mybb->settings['lock_user_uid']);

	if ($power != "0")
	{if (in_array($you,$they) && $mybb->user['uid'] != "0"){error("Sorry, You are Locked from accessing this website. If you feel this is an error, then please Contact to the admin." , "You Are Locked");}}
}
?>